Bug 1223566 - RFE: imrelp does not support binding to a specific ruleset before rsyslog 8.x
Summary: RFE: imrelp does not support binding to a specific ruleset before rsyslog 8.x
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rsyslog
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Radovan Sroka
QA Contact: Stefan Dordevic
Mirek Jahoda
URL:
Whiteboard:
Keywords: FutureFeature, Patch
Depends On:
Blocks: 1203710 1296594 1313485
TreeView+ depends on / blocked
 
Reported: 2015-05-20 21:55 UTC by James Ralston
Modified: 2016-11-04 05:35 UTC (History)
7 users (show)

(edit)
The _rsyslog_ RELP module now binds to a specific rule set

With this update, the _rsyslog_ Reliable Event-Logging Protocol (RELP) module is now capable of binding to specific rule set with each input instance. The `input()` instance rule set has higher priority than the `module()` rule set.
Clone Of:
(edit)
Last Closed: 2016-11-04 05:35:53 UTC


Attachments (Terms of Use)
Backport of ruleset parameter (9.06 KB, patch)
2016-02-22 14:48 UTC, Radovan Sroka
no flags Details | Diff
Backport of ruleset parameter(2) (9.04 KB, patch)
2016-05-17 14:48 UTC, Radovan Sroka
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2401 normal SHIPPED_LIVE rsyslog bug fix and enhancement update 2016-11-03 13:55:50 UTC

Description James Ralston 2015-05-20 21:55:24 UTC
Description of problem:

In rsyslog 7.x, the imrelp module does not support binding to a specific ruleset [1].

E.g., this won't work:

input (type="imrelp" port="1514" ruleset="custom-ruleset1")
input (type="imrelp" port="2514" ruleset="custom-ruleset2")

This means that sites that bind specific rulesets to specific listeners in order to classify incoming syslog messages from remote clients cannot use imrelp listeners.

This deficiency is corrected in rsyslog 8.x [2].

Please take one of the following actions:

1. Backport this feature to rsyslog 7.x.
2. Rebase to rsyslog 8.x.
3. Provide rsyslog 8.x using an "rsyslog8" package.

Version-Release number of selected component (if applicable):

rsyslog-7.4.7-7.el7_0.x86_64

Additional info:

[1] http://www.rsyslog.com/doc/v7-stable/configuration/modules/imrelp.html
[2] http://www.rsyslog.com/doc/v8-stable/configuration/modules/imrelp.html

Comment 5 Radovan Sroka 2016-02-22 14:48 UTC
Created attachment 1129331 [details]
Backport of ruleset parameter

After this backport, module() and input() have ruleset parameter and input ruleset has higher priority than module ruleset.

There are some configs for receiver:

--------------------------------------------------

ruleset(name="testrs") {
    action(type="omfile" file="/tmp/testfile")
}


module( load="imrelp"
        ruleset="testrs")
input(  type="imrelp" port="5000")

---------------------------------------------------

ruleset(name="testrs1") {
    action(type="omfile" file="/tmp/testfile")
}

ruleset(name="testrs2") {
    action(type="omfile" file="/tmp/testfile2")
}


module(load="imrelp")
input(type="imrelp" port="5000" ruleset="testrs1")
input(type="imrelp" port="10000" ruleset="testrs2")

--------------------------------------------------

ruleset(name="testrs1") {
    action(type="omfile" file="/tmp/testfile")
}

ruleset(name="testrs2") {
    action(type="omfile" file="/tmp/testfile2")
}


module(load="imrelp" ruleset="testrs1")
input(type="imrelp" port="5000" )
input(type="imrelp" port="10000" ruleset="testrs2")

--------------------------------------------------


And sender config:

--------------------------------------------------

module( load="imuxsock")
input(type="imuxsock" socket="/tmp/socket" createpath="on")
module(load="omrelp")

*.* action(type="omrelp" target="127.0.0.1" port="5000")
*.* action(type="omfile" file="/tmp/in.log")

*.* action(type="omrelp" target="127.0.0.1" port="10000")

--------------------------------------------------


logger -u /tmp/socket <message>

Comment 8 Radovan Sroka 2016-05-17 14:48 UTC
Created attachment 1158335 [details]
Backport of ruleset parameter(2)

Resolved double free found by Stefan Dordevic

Comment 15 errata-xmlrpc 2016-11-04 05:35:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2401.html


Note You need to log in before you can comment on or make changes to this bug.